package com.realnet.x2-b.Services;
import com.realnet.x2-b.Repository.X1Repository;
import com.realnet.x2-b.Entity.X1
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;






	import org.springframework.stereotype.Service;

@Service
 public class X1Service {
@Autowired
private X1Repository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





public X1 Savedata(X1 data) {






	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
X1 save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<X1> getAllWithPagination(Pageable page) {
		return Repository.findAll( getUser().getUserId(),page);
	}			
public List<X1> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<X1> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public X1 getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public X1 update(X1 data,Integer id) {
	X1 old = Repository.findById(id).get();
old.setName(data.getName());

old.setEmail(data.getEmail());

old.setAge(data.getAge());

final X1 test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 






 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
